Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Submit Plan Order (SIGNED)

Applicable for placing contract plan orders

Request URL

POST https://cloud-api.wooxpro.com/contract/private/submit-plan-order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "side":4,
  "mode":1,
  "type":"limit",
  "leverage":"1",
  "open_type":"isolated",
  "size":10,
  "trigger_price":"2000",
  "executive_price":"1450",
  "price_type":1,
  "price_way":1
}'
https://cloud-api.wooxpro.com/contract/private/submit-plan-order
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)
typeStringNoOrder type
-limit(default)
-market
-take_profit
-stop_loss
sideIntYesOrder side
hedge mode
-1=buy_open_long
-2=buy_close_short
-3=sell_close_long
-4=sell_open_short
oneway mode
-1=buy
-2=buy(reduce only)
-3=sell(reduce only)
-4=sell
leverageStringYesOrder leverage
open_typeStringYesOpen type, required at close position
-cross
-isolated
modeIntNoOrder mode
-1=GTC(default)
-2=FOK
-3=IOC
-4=Maker Only
sizeIntYesOrder size (Number of contracts)
trigger_priceStringYesTrigger price
executive_priceStringNoExecution price for plan order, mandatory when type = limit
price_wayIntYesPrice way
-1=price_way_long
-2=price_way_short
price_typeIntYesTrigger price type
-1=last_price
-2=fair_price
plan_categoryIntNoTP/SL type
-1=TP/SL
-2=Position TP/SL
preset_take_profit_price_typeIntNoPre-set TP price type
-1=last_price(default)
-2=fair_price
preset_stop_loss_price_typeIntNoPre-set SL price type
-1=last_price(default)
-2=fair_price
preset_take_profit_priceStringNoPre-set TP price
preset_stop_loss_priceStringNoPre-set SL price

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": 220609666322019
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
order_idIntOrder ID